wxchenlin 发表于 2005-12-28 22:58:00

VBA中画虚线函数的问题?

请问大侠,VBA中连接两点用直线的函数为addline(a,b) 。那么连接两点用虚线的函数是什么呢?谢谢!

hangc 发表于 2005-12-29 11:57:00

虚线是用线形实现的吧!

wxchenlin 发表于 2005-12-29 15:53:00

<P>大侠,具体怎么弄呢?</P>

zhuxuhong 发表于 2005-12-30 19:40:00

画好后,你再改变线型就可以了

songzhi 发表于 2005-12-30 21:12:00

<PRE class=Code>这段代码从帮助文件上拷来的,以后多看看帮助文件就是了。本网站上还有中文版的。</PRE><PRE class=Code>Sub Example_Linetype()
    ' This example searches for the linetype DashDot. If it is
    ' not found, it is added from the acad.lin file. Then a
    ' line is created and changed to the DashDot linetype.
   
    ' Search the linetypes collection for the DashDot linetype.
    Dim entry As AcadLineType
    Dim found As Boolean
    found = False
    For Each entry In ThisDrawing.Linetypes
      If StrComp(entry.name, "DASHDOT", 1) = 0 Then
            found = True
            Exit For
      End If
    Next
    If Not (found) Then ThisDrawing.Linetypes.Load "DASHDOT", "acad.lin"
      
    ' Create the line
    Dim lineObj As AcadLine
    Dim startPoint(0 To 2) As Double
    Dim endPoint(0 To 2) As Double
    startPoint(0) = 1#: startPoint(1) = 1#: startPoint(2) = 0#
    endPoint(0) = 4#: endPoint(1) = 4#: endPoint(2) = 0#
    Set lineObj = ThisDrawing.ModelSpace.AddLine(startPoint, endPoint)
   
    ' Change the linetype of the line
    lineObj.Linetype = "DASHDOT"
    ZoomAll
   
End Sub</PRE>
页: [1]
查看完整版本: VBA中画虚线函数的问题?